osg::TextureRectangle::SubloadCallback Class Referenceabstract

`#include <TextureRectangle>`

Inheritance diagram for osg::TextureRectangle::SubloadCallback:

## Public Member Functions

virtual void | load (const TextureRectangle &, State &) const =0
virtual void | subload (const TextureRectangle &, State &) const =0
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Function Documentation

## load()

virtual void osg::TextureRectangle::SubloadCallback::load | ( | const TextureRectangle & | ,
|  | State & | ) const

pure virtual

References osg::TextureRectangle::TextureRectangle().

## subload()

virtual void osg::TextureRectangle::SubloadCallback::subload | ( | const TextureRectangle & | ,
|  | State & | ) const

pure virtual

References osg::TextureRectangle::TextureRectangle().

The documentation for this class was generated from the following file:

- TextureRectangle